Subject: Re: 25.0.50; Make eww use display-buffer to display eww buffer

From: Michael Heerdegen <[email-masked]>
Date: Sat, 26 Dec 2015 19:09:33 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> That's not what I get if I eval
>
> (display-buffer (get-buffer-create "foo"))
>
> in a frame with a single window, where "foo" doesn't exist before.  It
> pops the buffer up in a new window...

Indeed, I was to fast.  The first action that succeeds by default is
`display-buffer-use-some-window'.

Anyway, you can specify a default action in your `display-buffer' call
so that the thing behaves by default as it does now, and the user can
modify this behavior if he wants by customizing or binding
display-buffer-alist.

Michael.